Subject: I: Pitfall Cartridge demo on Youtube

From: Jon Guidry <[email-masked]>
Date: Mon, 28 Dec 2009 19:27:51 -0600

Filip has released the production Pitfall EPROM to me, and I have a demo now on Youtube.  It's still processing, but the quality should get better.

http://www.youtube.com/watch?v=Mt5hekfjUXc

Description:  
Filip Van Vooren's adaptation of the classic Pitfall game - for the TI-99/4A. Filip has remade the classic game, and it works in a 32K EPROM! (Sorry I mispronounced your name a couple times, Filip - I corrected myself by the end!) Filip's website, www.retroclouds.de, will tell you more about him and the game. Filip has already made a limited run of these cartridges (with an awesome label), but stay tuned for announcements from him about future games, and future availability of the cartridge. Bare cartridge boards that run this game can be pre-ordered here:http://tinyurl.com/yg6mozj

Thanks to Filip for this great remake!!!

Jon